Extension Builder - Task # 7974

Story # 11986 (Closed): As an extension developer | want to find the extension builder in TER

Status: Resolved Priority: Must have
Author: Pascal Jungblut Category: Code Creation
Created: 2010-05-29 Assigned To:

Updated: 2011-02-02 Due date:

Subject: Only one relation table for multiple relations

Description

When | have a model, say, Group and add two relations: admins and members, these two relations will both be saved in
tx_extkey_group_user_mm if User is the other model.

Additionally the tx_extkey_group_user_mm table definition is twice in ext_tables.php. It would be nice if there is a check for that so
that the kickstarter renames the tables to tx_extkey_group_*admin*_user_mm or similar.

Or, if possible, this information could get saved in the tx_extkey_group_user_mm table, but | don't know if Extbase is capable of
handling that information.

Associated revisions

Revision 2199777 - 2011-02-01 23:23 - Nico de Haen

[+TASK] Enables multiple relations from one model to the same foreign model
Either uses a naming convention tbl1_field1_tbl2_mm or reads the MM table name from the TCA if the extension is already installed

Resolves #7974

Change-Id: 189a4e1bd60f313a636111e9b5872ef7c83186d5d

History

#1 - 2010-09-02 15:42 - Sebastian Michaelsen

- Category set to Code Creation

#2 - 2010-09-02 17:14 - Sebastian Michaelsen

- Assigned To set to Sebastian Michaelsen

- Priority changed from Should have to Must have
- Target version set to 0.1

#3 - 2011-01-07 08:28 - Rens Admiraal
- Tracker changed from Bug to Task

- Target version deleted (0.1)

- Parent task set to #11986

#4 - 2011-01-11 11:41 - Sebastian Michaelsen
- Assigned To deleted (Sebastian Michaelsen)

#5 - 2011-02-02 10:02 - Nico de Haen

- Status changed from New to Resolved
- % Done changed from 0 to 100
Applied in changeset commit:"2f1997775bbb1dd80fb2b35b96fb128ea73423b7".
